Package: org.apache.groovy.contracts

## [Java] Class AssertionViolation

- org.apache.groovy.contracts.AssertionViolation

-     public abstract class AssertionViolation
      extends AssertionError

  Abstract base class for all assertion violations.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AssertionViolation()` Creates a violation without an explicit detail message and registers it with the current tracker.
    `protected AssertionViolation(Object o)` Creates a violation with an object-valued detail and registers it with the current tracker.
    `protected AssertionViolation(boolean b)` Creates a violation with a boolean detail and registers it with the current tracker.
    `protected AssertionViolation(char c)` Creates a violation with a character detail and registers it with the current tracker.
    `protected AssertionViolation(int i)` Creates a violation with an integer detail and registers it with the current tracker.
    `protected AssertionViolation(long l)` Creates a violation with a long detail and registers it with the current tracker.
    `protected AssertionViolation(float v)` Creates a violation with a floating-point detail and registers it with the current tracker.
    `protected AssertionViolation(double v)` Creates a violation with a double-precision detail and registers it with the current tracker.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### protected AssertionViolation()

      Creates a violation without an explicit detail message and registers it with the current tracker.

    - #### protected AssertionViolation(Object o)

      Creates a violation with an object-valued detail and registers it with the current tracker.

      Parameters:
        `o` - the detail object passed to AssertionError

    - #### protected AssertionViolation(boolean b)

      Creates a violation with a boolean detail and registers it with the current tracker.

      Parameters:
        `b` - the detail value passed to AssertionError

    - #### protected AssertionViolation(char c)

      Creates a violation with a character detail and registers it with the current tracker.

      Parameters:
        `c` - the detail value passed to AssertionError

    - #### protected AssertionViolation(int i)

      Creates a violation with an integer detail and registers it with the current tracker.

      Parameters:
        `i` - the detail value passed to AssertionError

    - #### protected AssertionViolation(long l)

      Creates a violation with a long detail and registers it with the current tracker.

      Parameters:
        `l` - the detail value passed to AssertionError

    - #### protected AssertionViolation(float v)

      Creates a violation with a floating-point detail and registers it with the current tracker.

      Parameters:
        `v` - the detail value passed to AssertionError

    - #### protected AssertionViolation(double v)

      Creates a violation with a double-precision detail and registers it with the current tracker.

      Parameters:
        `v` - the detail value passed to AssertionError